低危 libzip2 拒绝服务代码执行漏洞

CVE编号

CVE-2010-0405

利用情况

暂无

补丁情况

官方补丁

披露时间

2010-09-29 07:00:00
漏洞描述
bzip2中的decompress.c和1.0.6之前的libbzip2中的BZ2_decompress函数中的整数溢出允许依赖于上下文的攻击者导致拒绝服务(应用程序崩溃)或者可能通过精心设计的压缩文件执行任意代码。

解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
参考链接
http://blogs.sun.com/security/entry/cve_2010_0405_integer_overflow
http://git.clamav.net/gitweb?p=clamav-devel.git;a=blob_plain;f=ChangeLog;hb=c...
http://lists.apple.com/archives/security-announce/2011/Mar/msg00006.html
http://lists.fedoraproject.org/pipermail/package-announce/2010-November/051278.html
http://lists.fedoraproject.org/pipermail/package-announce/2010-November/051366.html
http://lists.opensuse.org/opensuse-security-announce/2010-10/msg00000.html
http://marc.info/?l=oss-security&m=128506868510655&w=2
http://secunia.com/advisories/41452
http://secunia.com/advisories/41505
http://secunia.com/advisories/42350
http://secunia.com/advisories/42404
http://secunia.com/advisories/42405
http://secunia.com/advisories/42529
http://secunia.com/advisories/42530
http://secunia.com/advisories/48378
http://security.gentoo.org/glsa/glsa-201301-05.xml
http://support.apple.com/kb/HT4581
http://www.bzip.org/
http://www.redhat.com/support/errata/RHSA-2010-0703.html
http://www.redhat.com/support/errata/RHSA-2010-0858.html
http://www.securityfocus.com/archive/1/515055/100/0/threaded
http://www.ubuntu.com/usn/usn-986-1
http://www.ubuntu.com/usn/USN-986-2
http://www.ubuntu.com/usn/USN-986-3
http://www.vmware.com/security/advisories/VMSA-2010-0019.html
http://www.vupen.com/english/advisories/2010/2455
http://www.vupen.com/english/advisories/2010/3043
http://www.vupen.com/english/advisories/2010/3052
http://www.vupen.com/english/advisories/2010/3073
http://www.vupen.com/english/advisories/2010/3126
http://www.vupen.com/english/advisories/2010/3127
http://xorl.wordpress.com/2010/09/21/cve-2010-0405-bzip2-integer-overflow/
https://bugzilla.redhat.com/show_bug.cgi?id=627882
https://wwws.clamav.net/bugzilla/show_bug.cgi?id=2230
https://wwws.clamav.net/bugzilla/show_bug.cgi?id=2231
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 bzip bzip2 * Up to
(including)
1.0.5
运行在以下环境
应用 bzip bzip2 0.9 -
运行在以下环境
应用 bzip bzip2 0.9.0 -
运行在以下环境
应用 bzip bzip2 0.9.0a -
运行在以下环境
应用 bzip bzip2 0.9.0b -
运行在以下环境
应用 bzip bzip2 0.9.0c -
运行在以下环境
应用 bzip bzip2 0.9.5a -
运行在以下环境
应用 bzip bzip2 0.9.5b -
运行在以下环境
应用 bzip bzip2 0.9.5c -
运行在以下环境
应用 bzip bzip2 0.9.5d -
运行在以下环境
应用 bzip bzip2 0.9.5_a -
运行在以下环境
应用 bzip bzip2 0.9.5_b -
运行在以下环境
应用 bzip bzip2 0.9.5_c -
运行在以下环境
应用 bzip bzip2 0.9.5_d -
运行在以下环境
应用 bzip bzip2 0.9_a -
运行在以下环境
应用 bzip bzip2 0.9_b -
运行在以下环境
应用 bzip bzip2 0.9_c -
运行在以下环境
应用 bzip bzip2 1.0 -
运行在以下环境
应用 bzip bzip2 1.0.1 -
运行在以下环境
应用 bzip bzip2 1.0.2 -
运行在以下环境
应用 bzip bzip2 1.0.3 -
运行在以下环境
应用 bzip bzip2 1.0.4 -
运行在以下环境
应用 libzip2 libzip2 * Up to
(including)
1.0.5
运行在以下环境
系统 centos_5 bzip2 * Up to
(excluding)
1.0.3-6.el5_5
运行在以下环境
系统 debian_5.0 bzip2 * Up to
(excluding)
1.0.5-1+lenny1
运行在以下环境
系统 oracle_5 bzip2 * Up to
(excluding)
1.0.3-6.el5_5
运行在以下环境
系统 oracle_6 bzip2 * Up to
(excluding)
1.0.5-7.el6_0
阿里云评分
3.1
  • 攻击路径
    本地
  • 攻击复杂度
    容易
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-189 数值错误
阿里云安全产品覆盖情况